Subject: Re: [Linux-ATM-General] Memory mapping the PHY on CR826

From: Koen Peeters <[email-masked]>
Date: Mon, 23 May 2005 22:43:29 +0200

Hi Alex,

I have got the Microsys board but I believe
you sort of mixed up the 2 registers :

try :

    memctl->memc_br8 = 0xe0400821; // base 0xe0400000; default timings;
                                   //  bank valid; 8bit port; GPCM local;
    memctl->memc_or8 = 0xffff8820; // min banksize; addressline config

Please verify the or8 setting with the actual board configuration.

Alex Zeffertt wrote:
> Hi all,
> 
> Does anyone here have *any* code for memory mapping the PM5350 ATM phy
> on the Microsys CR826 board?
> 
> I've just purchased this board from Microsys and I'm trying to get the
> atm8260 ATM device driver to work on it - unfortunately I cannot seem to
> memory map the phy.  My current settings are:
> 
> 
>   memctl->memc_or8 = 0xe0400ef4; // base 0xe0400000; default timings
>   memctl->memc_br8 = 0xffff8821; // min banksize; 8bit port; GPCM local;
>                                  //  bank valid
> 
> Has anybody done this already?
> 
> TIA,
> 
> Alex
> 
> 
> -------------------------------------------------------
> This SF.Net email is sponsored by Oracle Space Sweepstakes
> Want to be the first software developer in space?
> Enter now for the Oracle Space Sweepstakes!
> http://ads.osdn.com/?ad_id=7412&alloc_id=16344&op=click
> _______________________________________________
> Linux-atm-general mailing list
> [email-masked]
> https://lists.sourceforge.net/lists/listinfo/linux-atm-general

-- 
-------------------------------------------------
Koen Peeters
Cellink bvba
Catherinalaan 37, 3110 Rotselaar, Belgium
web : http://www.cellink.net/